Page MenuHomePhabricator

ExtDistGraphiteStats.php: PHP Notice: Array to string conversion
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: W6KGHQrAIFMAAKyUHK8AAABM

message
[{exception_id}] {exception_url}   ErrorException from line 67 of /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/stats/ExtDistGraphiteStats.php: PHP Notice: Array to string conversion
stacktrace
#0 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/stats/ExtDistGraphiteStats.php(67): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php(369): ExtDistGraphiteStats->getPopularList(string)
#2 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/specials/SpecialExtensionDistributor.php(19): SpecialBaseDistributor->getPopularList()
#3 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php(144): SpecialExtensionDistributor->getPopularList()
#4 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php(64): SpecialBaseDistributor->showExtensionSelector()
#5 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPage.php(569): SpecialBaseDistributor->execute(NULL)
#6 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(NULL)
#7 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#8 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(868): MediaWiki->performRequest()
#9 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(525): MediaWiki->main()
#10 /srv/mediawiki/php-1.32.0-wmf.22/index.php(42): MediaWiki->run()

Notes

Emitted from views (GET request) of url http://mediawiki.org/wiki/Special:ExtensionDistributor.

Appears intermittently, but looks like it may've been introduced in 1.32.0-wmf.20, could not find earlier instances of this error.

Event Timeline

Krinkle created this task.Sep 19 2018, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2018, 5:58 PM

Change 462333 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ExtensionDistributor@master] Rely on StatusValue::__toString for formatting into a log message

https://gerrit.wikimedia.org/r/462333

Legoktm claimed this task.Sep 24 2018, 4:16 AM

Appears intermittently, but looks like it may've been introduced in 1.32.0-wmf.20, could not find earlier instances of this error.

The error is only tripped when ED gets a bad response from Graphite, so it (hopefully) won't occur that often. But it's been present probably since the original code was written.

Change 462333 merged by jenkins-bot:
[mediawiki/extensions/ExtensionDistributor@master] Rely on StatusValue::__toString for formatting into a log message

https://gerrit.wikimedia.org/r/462333

Krinkle closed this task as Resolved.Sep 24 2018, 5:09 PM
Krinkle removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM